package com.benny.openlauncher.activity.homeparts;

import android.graphics.Point;

import com.benny.openlauncher.activity.HomeActivity;
import com.benny.openlauncher.interfaces.DialogListener;
import com.benny.openlauncher.manager.Setup;
import com.benny.openlauncher.model.Item;
import com.benny.openlauncher.widget.Desktop;
import com.benny.openlauncher.widget.Dock;

public class HpAppEditApplier implements DialogListener.OnEditDialogListener {
    private HomeActivity _homeActivity;
    private Item _item;

    public HpAppEditApplier(HomeActivity homeActivity) {
        _homeActivity = homeActivity;
    }

    public void onEditItem(final Item item) {
        _item = item;
        Setup.eventHandler().showEditDialog(_homeActivity, item, this);
    }

    @Override
    public void onRename(String name) {
        _item.setLabel(name);
        Setup.dataManager().saveItem(_item);
        Point point = new Point(_item._x, _item._y);

        switch (_item._location) {
            case Item.LOCATION_DESKTOP: {
                Desktop desktop = _homeActivity.getDesktop();
                desktop.removeItem(desktop.getCurrentPage().coordinateToChildView(point), false);
                desktop.addItemToCell(_item, _item._x, _item._y);
                break;
            }
            case Item.LOCATION_DOCK: {
                Dock dock = _homeActivity.getDock();
                _homeActivity.getDock().removeItem(dock.coordinateToChildView(point), false);
                dock.addItemToCell(_item, _item._x, _item._y);
                break;
            }
        }
    }
}
